Package tigase.cluster.api

# Interface ClusteredComponentIfc

All Superinterfaces:
  `ServerComponent`

All Known Implementing Classes:
  `AbstractComponent`, `AbstractComponentRegistrator`, `AbstractKernelBasedComponent`, `AbstractMessageReceiver`, `AmpComponent`, `AmpComponentClustered`, `BasicComponent`, `BoshConnectionClustered`, `BoshConnectionManager`, `ClientConnectionClustered`, `ClientConnectionManager`, `ClusterConnectionManager`, `ClusterController`, `ComponentConnectionManager`, `ComponentProtocol`, `ComponentProtocolManager`, `Configurator`, `ConfiguratorAbstract`, `ConfiguratorOld`, `ConnectionManager`, `EchoComponent`, `EventBusComponent`, `EventBusComponent`, `ExternalServiceDiscoveryComponent`, `MessageRouter`, `MonitorComponent`, `MonitorComponent`, `RTBLComponent`, `S2SConnectionManager`, `SessionManager`, `SessionManagerClustered`, `StatisticsCollector`, `TestComponent`, `VHostManager`, `WebSocketClientConnectionClustered`, `WebSocketClientConnectionManager`, `XMPPServiceCollector`

public interface ClusteredComponentIfc extends ServerComponent
Describe interface ClusteredComponent here.
Created: Mon Jun 9 20:00:46 2008

Author:
  Artur Hefczyc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `nodeConnected(String node)`
  Method is called on cluster node connection event.
  `void`
  `nodeDisconnected(String node)`
  Method is called on cluster node disconnection event.
  `void`
  `setClusterController(ClusterControllerIfc cl_controller)`
  Set's the configures the cluster controller object for cluster communication and API.

  ### Methods inherited from interface tigase.server.ServerComponent

  `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- ## Method Details

  - ### setClusterController

    void setClusterController(ClusterControllerIfc cl_controller)
    Set's the configures the cluster controller object for cluster communication and API.
    Parameters:
      `cl_controller` - cluster controller object used for cluster communication

  - ### nodeConnected

    void nodeConnected(String node)
    Method is called on cluster node connection event. This is a notification to the component that a new cluster node has connected.
    Parameters:
      `node` - is a hostname of a cluster node generating the event.

  - ### nodeDisconnected

    void nodeDisconnected(String node)
    Method is called on cluster node disconnection event. This is a notification to the component that there was network connection lost to one of the cluster nodes.
    Parameters:
      `node` - is a hostname of a cluster node generating the event.